package com.kaixed.kchat.viewmodel

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.kaixed.kchat.model.friend.FriendItem
import com.kaixed.kchat.repository.ContactRepo

/**
 * @Author: kaixed
 * @Date: 2024/10/17 22:02
 */
class FriendListViewModel : ViewModel() {
    private val contactRepo = ContactRepo()

    fun getFriendList(username: String): MutableLiveData<List<FriendItem>?> =
        contactRepo.getContactList(username)
}
